# Uses of Interface
org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionDelta

Packages that use InternalCDORevisionDelta
Package
Description
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of InternalCDORevisionDelta in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return InternalCDORevisionDelta
Modifier and Type
Method
Description
`InternalCDORevisionDelta[]`
CDOProtocol.CommitData.`getDirtyObjectDeltas()`
Constructors in org.eclipse.emf.cdo.common.protocol with parameters of type InternalCDORevisionDelta
Modifier
Constructor
Description
``
`CommitData(InternalCDORevision[] newObjects, InternalCDORevisionDelta[] dirtyObjectDeltas, CDOID[] detachedObjects)`

## Uses of InternalCDORevisionDelta in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision with parameters of type InternalCDORevisionDelta
Modifier and Type
Method
Description
`static boolean`
CDORevisionUtil.`isTreeRestructuring(InternalCDORevisionDelta[] deltas)`

## Uses of InternalCDORevisionDelta in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server with parameters of type InternalCDORevisionDelta
Modifier and Type
Method
Description
`protected void`
AbstractLifecycleManager.`handleModuleDeletion(IStoreAccessor.CommitContext commitContext, InternalCDORevisionDelta systemRevisionDelta, CDORemoveFeatureDelta removeModuleDelta)`

## Uses of InternalCDORevisionDelta in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return InternalCDORevisionDelta
Modifier and Type
Method
Description
`InternalCDORevisionDelta[]`
IStoreAccessor.CommitContext.`getDirtyObjectDeltas()`
Returns an array of the dirty object deltas that are part of the commit operation represented by this `CommitContext`.

## Uses of InternalCDORevisionDelta in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type InternalCDORevisionDelta
Modifier and Type
Method
Description
`void`
IClassMappingDeltaSupport.`writeRevisionDelta(IDBStoreAccessor accessor, InternalCDORevisionDelta delta, long created, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Write a revision delta.

## Uses of InternalCDORevisionDelta in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision that return InternalCDORevisionDelta
Modifier and Type
Method
Description
`InternalCDORevisionDelta`
BaseCDORevision.`compare(CDORevision origin)`
`InternalCDORevisionDelta`
DelegatingCDORevision.`compare(CDORevision origin)`
`InternalCDORevisionDelta`
InternalCDORevision.`compare(CDORevision origin)`
`InternalCDORevisionDelta`
StubCDORevision.`compare(CDORevision origin)`

## Uses of InternalCDORevisionDelta in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return types with arguments of type InternalCDORevisionDelta
Modifier and Type
Method
Description
`List<InternalCDORevisionDelta>`
InternalUnitManager.`getUnitMoves(InternalCDORevisionDelta[] deltas, CDORevisionProvider before, CDORevisionProvider after)`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type InternalCDORevisionDelta
Modifier and Type
Method
Description
`List<InternalCDORevisionDelta>`
InternalUnitManager.`getUnitMoves(InternalCDORevisionDelta[] deltas, CDORevisionProvider before, CDORevisionProvider after)`
`void`
InternalCommitContext.`setDirtyObjectDeltas(InternalCDORevisionDelta[] dirtyObjectDeltas)`
`protected abstract void`
StoreAccessor.`writeRevisionDeltas(InternalCDORevisionDelta[] revisionDeltas, CDOBranch branch, long created, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Method parameters in org.eclipse.emf.cdo.spi.server with type arguments of type InternalCDORevisionDelta
Modifier and Type
Method
Description
`CDOChangeSetData`
ICommitConflictResolver.Merging.`resolveConflicts(IStoreAccessor.CommitContext commitContext, List<InternalCDORevisionDelta> conflicts)`
`CDOChangeSetData`
ICommitConflictResolver.`resolveConflicts(IStoreAccessor.CommitContext commitContext, List<InternalCDORevisionDelta> conflicts)`
When this method is called, the `IStoreAccessor.CommitContext.getOldRevisions()` map is filled with the latest valid revisions, chunks ensured.